// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

console.info('Hello, World! (You will see this line every time server resources reload)')

events.listen('recipes', event => {

  //Shapeless

event.shapeless(item.of('minecraft:chest', 1), ['#forge:chests/wooden'])
event.shapeless(item.of('bhc:yellow_heart_canister', 1), ['bhc:yellow_heart', '#forge:rods/blaze', 'minecraft:golden_apple', 'bhc:red_heart_canister'])
event.shapeless(item.of('bhc:green_heart_canister', 1), ['bhc:green_heart', 'minecraft:ghast_tear', 'minecraft:wither_skeleton_skull', 'bhc:yellow_heart_canister'])
event.shapeless(item.of('bhc:blue_heart_canister', 1), ['bhc:blue_heart', 'minecraft:nether_star', 'minecraft:enchanted_golden_apple', 'bhc:green_heart_canister'])
event.shapeless(item.of('woodenutilities:wooden_plate', 1), ['#minecraft:wooden_pressure_plates'])
event.shapeless(item.of('quantumstorage:tank', 1), ['quantumstorage:tank'])
event.shapeless(item.of('minecraft:trapped_chest', 1), ['minecraft:chest', 'minecraft:tripwire_hook'])

  // Shaped Recipes

event.shaped(item.of('cyclic:shears_flint', 1), [' F','F '],{F: 'minecraft:flint'})
event.shaped(item.of('cyclic:shears_obsidian', 1), [' F','F '],{F: 'minecraft:obsidian'})
event.shaped(item.of('minecraft:torch', 8), ['S','T'],{S: 'thermal:sulfur', T: '#forge:rods/wooden'})
event.shaped(item.of('kubejs:tiny_torch', 2), ['S','T'],{S: 'tinycoal:tinycoal', T: '#forge:rods/wooden'})
event.shaped(item.of('kubejs:tiny_torch', 2), ['S','T'],{S: 'tinycoal:tinycharcoal', T: '#forge:rods/wooden'})
event.shaped(item.of('waterstrainer:strainer_survivalist', 1), ['MM','MM'],{M: 'woodenutilities:wooden_bars'})
event.shaped(item.of('rats:marbled_cheese_raw', 4), ['CS','SC'],{C: '#forge:cheese', S:'#forge:stone'})
event.shaped(item.of('waterstrainer:strainer_fisherman', 1), ['VV','VV'],{V: 'minecraft:vine'})
event.shaped(item.of('minecraft:mossy_cobblestone', 1), ['MM','MM'],{M: 'kubejs:mossy_pebble'})
event.shaped(item.of('minecraft:granite', 1), ['MM','MM'],{M: 'kubejs:granite_pebble'})
event.shaped(item.of('minecraft:andesite', 1), ['MM','MM'],{M: 'kubejs:andesite_pebble'})
event.shaped(item.of('minecraft:diorite', 1), ['MM','MM'],{M: 'kubejs:diorite_pebble'})
event.shaped(item.of('create:andesite_alloy', 2), ['FM','MF'],{M: 'kubejs:andesite_pebble', F: 'minecraft:flint'})
event.shaped(item.of('immersiveengineering:alloybrick', 8), ['SBS','BCB','SBS'],{S: '#forge:sandstone', C: 'thermal:cinnabar_dust', B: 'minecraft:brick'})
event.shaped(item.of('immersiveengineering:blastbrick', 3), ['SBS','BCB','SBS'],{S: '#forge:ingots/invar', C: '#forge:coal_coke', B: '#forge:ingots/brick'})
event.shaped(item.of('kubejs:blank_ore', 1), ['SDS','DSD','SDS'],{S: '#forge:stone', D: 'kubejs:dust'})
event.shaped(item.of('storagenetwork:export_kabel', 2), ['KKK',' K ',' W '],{K: 'storagenetwork:kabel', W: 'woodenhopper:wooden_hopper'})
event.shaped(item.of('storagenetwork:import_kabel', 2), [' W ',' K ','KKK'],{K: 'storagenetwork:kabel', W: 'woodenhopper:wooden_hopper'})
event.shaped(item.of('bhc:canister',), [' C ','C C',' C '],{C: '#forge:ingots/compressed_iron'})
event.shaped(item.of('bhc:relic_apple',), ['DDD','DAD','DDD'],{D: '#forge:dusts', A: 'minecraft:apple'})
event.shaped(item.of('minecraft:golden_apple',), ['GGG','GAG','GGG'],{G: '#forge:ingots/gold', A: 'bhc:relic_apple'})
event.shaped(item.of('minecraft:cauldron',), ['P P','P P','PPP'],{P: '#minecraft:planks'})
event.shaped(item.of('refinedstorage:machine_casing',), ['EEE','EME','EEE'],{E: 'refinedstorage:quartz_enriched_iron', M: 'thermal:machine_frame'})
event.shaped(item.of('mekanism:basic_universal_cable', 12), [' S ', 'OBO', ' S '],{O: '#forge:ingots/osmium', S: 'immersiveengineering:wirecoil_steel', B: '#forge:dusts/redstone'})
event.shaped(item.of('mekanism:basic_mechanical_pipe', 8), ['OBO',], {O: '#forge:ingots/osmium', B: 'minecraft:bucket'})
event.shaped(item.of('mekanism:basic_pressurized_tube', 8), ['OBO',], {O: '#forge:ingots/osmium', B: '#forge:glass'})
event.shaped(item.of('mekanism:basic_logistical_transporter', 8), ['OBO',], {O: '#forge:ingots/osmium', B: '#forge:circuits/basic'})
event.shaped(item.of('mekanism:basic_thermodynamic_conductor', 8), ['OBO',], {O: '#forge:ingots/osmium', B: '#forge:ingots/copper'})
event.shaped(item.of('rats:trash_can', 1), ['ECE', 'ECE', 'ECE'], {C: 'minecraft:cauldron', E:'#forge:cheese'})
event.shaped(item.of('quark:pipe', 8), ['G', 'L', 'G'], {G: '#forge:ingots/gold', L:'#forge:glass/colorless'})
event.shaped(item.of('immersiveengineering:slab_storage_steel', 6), ['SSS'], {S: '#forge:storage_blocks/steel'})
event.shaped(item.of('extendedcrafting:black_iron_ingot', 1), ['ISI', 'SOS', 'ISI'], {I: '#forge:ingots/iron', S:'create:shadow_steel', O:'cyclic:gem_obsidian'})
event.shaped(item.of('extendedcrafting:elite_component', 1), ['IDI', 'DLD', 'IDI'], {I: 'extendedcrafting:black_iron_ingot', D:'#forge:gems/diamond', L:'extendedcrafting:luminessence'})
event.shaped(item.of('extendedcrafting:elite_catalyst', 1), ['IDI', 'DLD', 'IDI'], {I: 'extendedcrafting:black_iron_slate', D:'extendedcrafting:elite_component', L:'create:refined_radiance'})
event.shaped(item.of('extendedcrafting:basic_component', 1), ['IDI', 'DLD', 'IDI'], {I: 'extendedcrafting:black_iron_ingot', D:'#forge:ingots/iron', L:'extendedcrafting:luminessence'})
event.shaped(item.of('extendedcrafting:basic_catalyst', 1), ['IDI', 'DLD', 'IDI'], {I: 'extendedcrafting:black_iron_slate', D:'extendedcrafting:basic_component', L:'create:refined_radiance'})
event.shaped(item.of('extendedcrafting:advanced_component', 1), ['IDI', 'DLD', 'IDI'], {I: 'extendedcrafting:black_iron_ingot', D:'#forge:ingots/gold', L:'extendedcrafting:luminessence'})
event.shaped(item.of('extendedcrafting:advanced_catalyst', 1), ['IDI', 'DLD', 'IDI'], {I: 'extendedcrafting:black_iron_slate', D:'extendedcrafting:advanced_component', L:'create:refined_radiance'})
event.shaped(item.of('extendedcrafting:ultimate_component', 1), ['IDI', 'DLD', 'IDI'], {I: 'extendedcrafting:black_iron_ingot', D:'#forge:ingots/netherite', L:'extendedcrafting:luminessence'})
event.shaped(item.of('extendedcrafting:ultimate_catalyst', 1), ['IDI', 'DLD', 'IDI'], {I: 'extendedcrafting:black_iron_slate', D:'extendedcrafting:ultimate_component', L:'create:refined_radiance'})
event.shaped(item.of('extendedcrafting:redstone_component', 1), ['IDI', 'DLD', 'IDI'], {I: 'extendedcrafting:black_iron_ingot', D:'extendedcrafting:redstone_ingot', L:'extendedcrafting:luminessence'})
event.shaped(item.of('extendedcrafting:redstone_catalyst', 1), ['IDI', 'DLD', 'IDI'], {I: 'extendedcrafting:black_iron_slate', D:'extendedcrafting:redstone_component', L:'create:refined_radiance'})
event.shaped(item.of('extendedcrafting:crystaltine_component', 1), ['IDI', 'DLD', 'IDI'], {I: 'extendedcrafting:black_iron_ingot', D:'extendedcrafting:crystaltine_ingot', L:'extendedcrafting:luminessence'})
event.shaped(item.of('extendedcrafting:crystaltine_catalyst', 1), ['IDI', 'DLD', 'IDI'], {I: 'extendedcrafting:black_iron_slate', D:'extendedcrafting:crystaltine_component', L:'create:refined_radiance'})
event.shaped(item.of('kubejs:blank_spawn_egg', 1), ['IDI', 'DLD', 'IDI'], {I: 'kubejs:dust', D:'#forge:dusts/mana', L:'minecraft:egg'})
event.shaped(item.of('minecraft:white_dye', 1), ['DDD'], {D: 'kubejs:dye_cluster'})
event.shaped(item.of('minecraft:orange_dye', 1), ['D','D','D'], {D: 'kubejs:dye_cluster'})
event.shaped(item.of('minecraft:magenta_dye', 1), [' D','D ',' D'], {D: 'kubejs:dye_cluster'})
event.shaped(item.of('minecraft:light_blue_dye', 1), ['D D',' D '], {D: 'kubejs:dye_cluster'})
event.shaped(item.of('minecraft:yellow_dye', 1), ['DD',' D'], {D: 'kubejs:dye_cluster'})
event.shaped(item.of('minecraft:lime_dye', 1), [' DD', '   ', ' D '], {D: 'kubejs:dye_cluster'})
event.shaped(item.of('minecraft:pink_dye', 1), [' D','DD'], {D: 'kubejs:dye_cluster'})
event.shaped(item.of('minecraft:gray_dye', 1), [' D ', '   ', ' DD'], {D: 'kubejs:dye_cluster'})
event.shaped(item.of('minecraft:light_gray_dye', 1), [' D ','D D',], {D: 'kubejs:dye_cluster'})
event.shaped(item.of('minecraft:cyan_dye', 1), ['D  ','   ',' DD'], {D: 'kubejs:dye_cluster'})
event.shaped(item.of('minecraft:purple_dye', 1), [' D ','   ','D D'], {D: 'kubejs:dye_cluster'})
event.shaped(item.of('minecraft:blue_dye', 1), ['  D','D  ','  D'], {D: 'kubejs:dye_cluster'})
event.shaped(item.of('minecraft:brown_dye', 1), ['D  ','  D',' D '], {D: 'kubejs:dye_cluster'})
event.shaped(item.of('minecraft:green_dye', 1), [' D ','  D','D  '], {D: 'kubejs:dye_cluster'})
event.shaped(item.of('minecraft:red_dye', 1), ['D  ','D  ',' D '], {D: 'kubejs:dye_cluster'})
event.shaped(item.of('minecraft:black_dye', 1), [' D ','D  ','D  '], {D: 'kubejs:dye_cluster'})

event.shaped(item.of('quantumstorage:tank',1), ['IBI','ITI','IBI'],
{
I: '#forge:ingots/iron',
T: 'mekanism:ultimate_fluid_tank',
B: 'minecraft:bucket'
})
event.shaped(item.of('cyclic:solidifier',1), ['RQR','CSC','OOO'],
{
R: '#forge:storage_blocks/lapis',
Q: '#forge:gems/quartz',
C: '#outer_end:crystal_blocks',
S: 'mekanism:steel_casing',
O: 'minecraft:obsidian'
})

event.shaped(item.of('cyclic:melter',1), ['RQR','CSC','OOO'],
{
R: '#forge:storage_blocks/redstone',
Q: '#forge:gems/quartz',
C: '#outer_end:crystal_blocks',
S: 'mekanism:steel_casing',
O: 'minecraft:obsidian'
})

event.shaped(item.of('cyclic:magic_net',1), ['ESE','SMS','ESE'],
{
E: 'minecraft:ender_pearl',
S: 'minecraft:snowball',
M: 'cyclic:mob_container'
})

event.shaped(item.of('pneumaticcraft:speed_upgrade',1), ['PSP','SLS','PSP'],
{
P: '#pneumaticcraft:upgrade_components',
S: '#forge:sugar/sugar',
L: 'immersivepetroleum:lubricant_bucket'
})

event.shaped(item.of('storagenetwork:crafting_remote',1), ['TQT','GRG','TQT'],
{
R: 'storagenetwork:inventory_remote',
G: '#forge:storage_blocks/gold',
T: 'create:electron_tube',
Q: '#forge:gems/quartz'
})

event.shaped(item.of('storagedrawers:compacting_drawers_3',1), ['SSS','CDC','SQS'],
{
S: '#forge:stone',
D: '#storagedrawers:drawers',
C: 'minecraft:piston',
Q: 'create:electron_tube'
})

event.shaped(item.of('storagedrawers:controller_slave',1), ['SSS','CDC','SQS'],
{
S: '#forge:stone',
D: '#storagedrawers:drawers',
C: 'create:andesite_alloy',
Q: 'create:polished_rose_quartz'
})


event.shaped(item.of('storagedrawers:controller',1), ['SSS','CDC','SQS'],
{
S: '#forge:stone',
D: '#storagedrawers:drawers',
C: 'create:andesite_alloy',
Q: 'create:electron_tube'
})

event.shaped(item.of('create:electron_tube',1), ['R','T','G'],
{
R: 'create:polished_rose_quartz',
T: 'minecraft:redstone_torch',
G: '#forge:nuggets/gold'
})

event.shaped(item.of('mekanism:metallurgic_infuser',1), ['IFI','RSR','IFI'],
{
I: '#forge:ingots/iron',
F: 'minecraft:furnace',
R: '#forge:dusts/redstone',
S: 'mekanism:steel_casing'
})

event.shaped(item.of('minecraft:grass_block',1), [' B ','BDB',' B '],
{
B: 'minecraft:bone_meal',
D: 'minecraft:dirt'
})

event.shaped(item.of('minecraft:end_portal_frame', 2), ['OOO','ECE','EEE'],
{
O: '#forge:obsidian',
E: '#forge:end_stones',
C: 'create:chromatic_compound'
})

event.shaped(item.of('travelersbackpack:standard', 1), ['LGL','TBT','LSL'],
{
L: '#forge:leather',
B: 'quark:backpack',
T: 'travelersbackpack:backpack_tank',
G: '#forge:ingots/gold',
S: 'travelersbackpack:sleeping_bag'
})

event.shaped(item.of('quark:backpack', 1), ['LCL','LBL','LCL'],
{
L: '#forge:leather',
B: 'woodenutilities:wooden_backpack',
C: '#forge:chests/wooden'
})

event.shaped(item.of('create:mechanical_press', 1), ['PAP','CSC','PVP'],
{
P: '#forge:plates/iron',
A: 'create:andesite_alloy',
C: 'create:cogwheel',
S: 'create:andesite_casing',
V: 'minecraft:anvil'
})

event.shaped(item.of('immersivepetroleum:projector', 1), ['G  ','BW ',' BP'],
{
G: '#forge:glass',
B: '#forge:ingots/bronze',
W: 'woodenutilities:wooden_lamp',
P: '#minecraft:planks'
})

event.shaped(item.of('immersiveengineering:cokebrick', 9), ['CBC','BSB','CBC'],
{
S: '#forge:storage_blocks/sulfur',
B: '#forge:ingots/brick',
C: '#forge:clay'
})

event.shaped(item.of('storagenetwork:inventory', 1), ['NCN','CAC','NCN'],
{
N: '#forge:nuggets/bronze',
A: 'create:andesite_casing',
C: 'storagenetwork:kabel'
})

event.shaped(item.of('storagenetwork:master', 1), ['QCQ','CAC','QCQ'],
{
Q: '#forge:storage_blocks/quartz',
A: 'create:andesite_casing',
C: 'storagenetwork:kabel'
})

event.shaped(item.of('storagenetwork:kabel', 8), ['BBB','QSQ','BBB'],
{
Q: '#forge:gems/quartz',
B: '#forge:ingots/bronze',
S: '#forge:slimeballs'
})

event.shaped(item.of('vm:vending_machine', 1), ['CCC','CTC','CCC'],
{
C: '#forge:cobblestone',
T: 'minecraft:crafting_table'
})

event.shaped(item.of('woodenutilities:wooden_lamp', 2), [' W ','WTW',' W '],
{
W: 'woodenutilities:wooden_plate',
T: 'kubejs:tiny_torch'
})

event.shaped(item.of('rats:auto_curdler', 1), ['GGG','BWB','BBB'],
{
B: 'create:basin',
G: '#forge:glass',
W: 'create:whisk'
})

event.shaped(item.of('cobblefordays:tier_1', 1), ['WWW','BGL','WWW'],
{
W: '#minecraft:logs',
G: '#forge:glass',
L: Item.of('ceramics:cracked_clay_bucket', {fluid:"minecraft:lava"}),
B: Item.of('ceramics:clay_bucket', {fluid:"minecraft:water"})
})

event.shaped(item.of('create:rotation_speed_controller', 1), [' G ','GCG',' G '],
{
C: 'create:andesite_casing',
G: 'create:gearbox'
})

event.shaped(item.of('create:whisk', 1), [' W ','AWA','AAA'],
{
W: 'woodenutilities:wooden_bars',
A: 'create:andesite_alloy'
})


event.shaped(item.of('waterstrainer:strainer_base', 1), ['B B','PHP','PCP'],
{
B: 'woodenutilities:wooden_bars',
P: '#minecraft:planks',
H: 'woodenhopper:wooden_hopper',
C: '#forge:chests/wooden'
})

event.shaped(item.of('minecraft:chest', 2), ['WWW','W W','WWW'],
{
W: 'woodenutilities:wooden_plate'
})

event.shaped(item.of('botania:open_crate', 1), ['WWW','W W','W W'],
{
W: '#minecraft:logs'
})

event.shaped(item.of('kubejs:dirt_mulch', 2), ['LLL','LML','LLL'],
{
L: '#minecraft:leaves',
M: 'kubejs:mossy_pebble'
})

event.shaped(item.of('kubejs:dirt_mulch', 4), ['LSL','SMS','LSL'],
{
L: '#minecraft:leaves',
S: '#minecraft:saplings',
M: 'kubejs:mossy_pebble'
})

event.shaped(item.of('minecraft:dirt', 4), ['CMC','MCM','CMC'],
{
M: 'kubejs:dirt_mulch',
C: 'botania:pebble'
})

event.shaped(item.of('minecraft:furnace', 1), ['CCC','CWC','CCC'],
{
W: 'woodenutilities:wooden_furnace',
C: '#forge:cobblestone'
})

})